Bug 1199778 - Review Request: xvst - Downloading your favourite video clips from a lot of websites
Summary: Review Request: xvst - Downloading your favourite video clips from a lot of w...
Status: CLOSED NOTABUG
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review   
(Show other bugs)
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Nobody's working on this, feel free to take it
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords:
Depends On:
Blocks: FE-Legal
TreeView+ depends on / blocked
 
Reported: 2015-03-08 08:49 UTC by MartinKG
Modified: 2015-03-10 14:57 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-03-10 14:57:46 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description MartinKG 2015-03-08 08:49:38 UTC
Spec URL: https://martinkg.fedorapeople.org/Review/SPECS/xvst.spec
SRPM URL: https://martinkg.fedorapeople.org/Review/SRPMS/xvst-2.5.2-1.20140804gitcbfafe4.fc21.src.rpm

Description: xVideoServiceThief (a.k.a xVST) is a tool for downloading your favourite video clips from a lot of video websites (currently supports 93 websites and increasing!).
xVideoServiceThief also provide you the ability to convert each video
in most popular formats: AVI, MPEG1, MPEG2, WMV, MP4, 3GP, MP3 file formats.

Fedora Account System Username: martinkg

scratch build:
http://koji.fedoraproject.org/koji/taskinfo?taskID=9169191

rpmlint xvst-2.5.2-1.20140804gitcbfafe4.fc21.x86_64.rpm
xvst.x86_64: W: spelling-error Summary(en_US) favourite -> favorite, favoritism
xvst.x86_64: W: spelling-error %description -l en_US xVideoServiceThief -> serviceability
xvst.x86_64: W: spelling-error %description -l en_US favourite -> favorite, favoritism
xvst.x86_64: W: no-manual-page-for-binary xvst
1 packages and 0 specfiles checked; 0 errors, 4 warnings.

rpmlint xvst-2.5.2-1.20140804gitcbfafe4.fc21.src.rpm
xvst.src: W: spelling-error Summary(en_US) favourite -> favorite, favoritism
xvst.src: W: spelling-error %description -l en_US xVideoServiceThief -> serviceability
xvst.src: W: spelling-error %description -l en_US favourite -> favorite, favoritism
1 packages and 0 specfiles checked; 0 errors, 3 warnings.

disscusion about legal stuff:
https://lists.fedoraproject.org/pipermail/legal/2015-March/002586.html

Comment 1 Mario Blättermann 2015-03-08 09:20:17 UTC
The package builds on Koji, but ffmpeg is in its runtime requirements, so it has to go into rpmfusion anyway. If it works also without ffmpeg (just for the downloads itself without the ability to convert formats), then you could provide the package here and add a dummy package on rpmfusion named »xvst-converter« which only pulls xvst and ffmpeg. Just an idea, I don't know whether this is the right way. But let us wait for the answer from the fe-legal team.

Comment 2 Mario Blättermann 2015-03-08 09:26:03 UTC
Just seen at the project website:

»The ffmpeg lib is not included in any package! To enable the video conversions you should install the ffmpeg lib.«

As far as I can evaluate, ffmpeg is optional, so the described way should be possible.

Comment 3 MartinKG 2015-03-08 14:47:27 UTC
!! Package can not go into Fedora, due rpmfusion package dependencies of librtmp.

Spec URL: https://martinkg.fedorapeople.org/Review/SPECS/xvst.spec
SRPM URL: https://martinkg.fedorapeople.org/Review/SRPMS/xvst-2.5.2-2.20140804gitcbfafe4.fc21.src.rpm

%changelog
* Sun Mar 08 2015 Martin Gansser <linux4martin@gmx.de> 2.5.2-2.20140804gitcbfafe4
- removed bundled rtmpdump
- added BR librtmp-devel

Comment 4 MartinKG 2015-03-10 14:57:46 UTC
See the review request at RPMfusion:
https://bugzilla.rpmfusion.org/show_bug.cgi?id=3563


Note You need to log in before you can comment on or make changes to this bug.